import javax.swing.*;
import java.awt.*;

public class Main
{
  public static void main(String[] args)
  {
    JFrame window = new JFrame("Paint, but worse");
    Model model = new Model();
    View view = new View(model);
    Menubar menubar = new Menubar(model);
    Sidepane sidepane = new Sidepane(model);
    Controls controls = new Controls(model);
    model.notifyObservers();
    
    // create a layout panel to hold the views
		JPanel mainpanel = new JPanel(new BorderLayout(0, 0));
		window.getContentPane().add(mainpanel);
		mainpanel.add(view, BorderLayout.CENTER);
		mainpanel.add(menubar, BorderLayout.PAGE_START);
		mainpanel.add(sidepane, BorderLayout.LINE_START);
		mainpanel.add(controls, BorderLayout.PAGE_END);
		model.setMenuColour(Color.green);
		model.setSideColour(Color.cyan);
		model.setControlColour(Color.red);
		
		// Setup the frame to do frame things
		window.setPreferredSize(new Dimension(300,300));
		window.pack();
		window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		window.setVisible(true);
  }
}
