import java.io.*;
import java.util.*;
import java.awt.*;
import javax.swing.*;

public class Sidepane extends JPanel implements Observer
{
  private Model model;
  private Colours colours;
  private JPanel thiccness;

  // Bob the Builder this shit
  public Sidepane(Model model)
  {
    // Hook up this observer so that it will be notified when the model
    // changes.
    this.model = model;
    this.setPreferredSize(new Dimension(100, 300));
    colours = new Colours();
    this.add(colours);
    model.addObserver(this);
  }

  /**
  * Update with data from the model.
  */
  public void update(Object observable)
  {
    this.setBackground(model.sideColour);
    revalidate();
    repaint();
  }
}

class Colours extends JPanel
{
  private JButton red;
  private JButton green;
  private JButton blue;
  private JButton yellow;
  private JButton purple;
  private JButton orange;
  private JButton cyan;
  private JButton custom;
  
  public Colours()
  {
    this.setLayout(new GridLayout(0, 2));
    red = new JButton("Red");
    green = new JButton("Green");
    blue = new JButton("Blue");
    yellow = new JButton("Yellow");
    purple = new JButton("Purple");
    orange = new JButton("Orange");
    cyan = new JButton("Cyan");
    custom = new JButton("Custom");
    this.add(red);
    this.add(green);
    this.add(blue);
    this.add(yellow);
    this.add(purple);
    this.add(orange);
    this.add(cyan);
    this.add(custom);
  }
}
